当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-10-19 11:57 

注册: 2008-06-09 17:19
帖子: 86
送出感谢: 0 次
接收感谢: 0 次
前天从804升级到8.1,升级过程都很顺利,可就是显卡装载不上,一安装完屏幕就是偏的,想可能驱动不行,原来在804里面用开源和专有的都没问题。我就准备用专有驱动试试,在硬件选项里面提供了2个一个是71版本一个是96版本的专有驱动,可是这2个驱动都安装不上,电脑重启装载都显示fail,又到新立得里面找,还有2个驱动173版本和177版本,又试,装载显示ok,可是进x显示no device detect。看日志有这样一段:

NVRM: The NVIDIA GeForce2 MX/MX 400 GPU installed in this system is
NVRM: supported through the NVIDIA 96.43.xx Legacy drivers. Please
NVRM: visit http://www.nvidia.com/object/unix.html for more
NVRM: information. The 177.80 NVIDIA driver will ignore
NVRM: this GPU. Continuing probe...
NVRM: No NVIDIA graphics adapter found!

用diskplayconfig-gtk和nvidia-setting都没作用,改,删除xorg.conf也没作用。后来又把所有驱动全部卸掉,用新立得的xserver-xorg-video-nv,也不行,显示no driver found。nvidia-glx在8.1里面被取消了,参考了论坛里面很多办法,都不行,哪位高人给点提示。。。。,现在只能手动屏幕先改到1024x768上上网。
8。1里面的程序经常崩溃,,晕阿


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-10-19 12:25 

注册: 2008-08-17 17:19
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
我的是nvidia Geforce Ti 4600,应该和你是一个驱动。
ubuntu8.04安装驱动都很顺利,也能开启桌面效果,不过8.10里不行。
首先无法设置显示器和显卡,也无法安装首先驱动,我已经试了无数次了。

最后我的办法是把8.04里的xcong拷出来,装好8.10里再覆盖一下,这样至少显示正常。
至于受限驱动,等正式版出来应该就可以了。
我真的已经试了无数次了……


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-10-20 22:03 

注册: 2008-03-22 21:20
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
自己从官方网站下载手动安装后能解决问题。


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-10-24 18:35 

注册: 2008-06-09 17:19
帖子: 86
送出感谢: 0 次
接收感谢: 0 次
已经更新到10。24。
我去nv官网下载的177和96版本驱动,177可以安装上但是不起作用,他不管mx400。
用 sudo sh NVIDIA-Linux-x86-96.43.07-pkg1.run
96驱动就安装不上了,提示:
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
this means that the installer will need to compile a kernel interface for
your kernel.
一路回车最后提示安装失败。
我用源里的安装96或者71版本的驱动,重启电脑都是load fail。177和173版本可以安装上显示load ok,但是这2个版本不支持mx400,提示说要用96的驱动,可是96安装不上去。
难道是8。1不能支持老显卡了,或者96版本不支持这个8。1的核?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-10-25 3:14 

注册: 2008-08-17 17:19
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
你的这些方法我也全部试过,最后的感觉是:
1。现在的96不支持现在的核,所以安装失败。
2。但是mx400又只能96,所以……

目前为止,还是无法开启桌面效果,虽然不影响使用,但总感觉不完美。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-10-25 21:55 

注册: 2008-06-09 17:19
帖子: 86
送出感谢: 0 次
接收感谢: 0 次
已经问过,96.43.07不支持现在的核,所有老的显卡要 用96驱动的都要等了
nv的工程师说:
While I can't promise that it'll be released before Ubuntu 8.10 comes out, we are working on it.
.....................
等吧


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 8.1升级后安装nv-mx400求助
帖子发表于 : 2008-11-24 22:34 

注册: 2008-11-20 20:16
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
我装好了驱动,网页显示却不正常。不知何故?


附件:
Screenshot-ubuntu nvidia 显示 - Google 搜索 - Mozilla Firefox.png
Screenshot-ubuntu nvidia 显示 - Google 搜索 - Mozilla Firefox.png [ 114.52 KiB | 被浏览 126 次 ]

页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译